import React from 'react';
import Step from './Step';
const Steps = ({
  steps = [],
  currentStep = 0
}) => {
  return /*#__PURE__*/React.createElement("div", {
    className: "steps"
  }, steps.map((step, index) => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Step, {
    key: index,
    step: step,
    index: index,
    currentStep: currentStep
  }), index < steps.length - 1 && /*#__PURE__*/React.createElement("span", {
    className: `line ${currentStep > index ? 'passed' : ''}`
  }))));
};
export default Steps;